Send Multi-Product Template Message

Send a template message that includes a Multi-Product Message (MPM) button. This allows you to define specific sections and products (by retailer ID) that populate the menu when the user clicks the button.

Example Request Body

{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "16505551234",
  "type": "template",
  "template": {
    "name": "abandoned_cart",
    "language": {
      "code": "en_US"
    },
    "components": [
      {
        "type": "header",
        "parameters": [
          {
            "type": "text",
            "text": "Pablo"
          }
        ]
      },
      {
        "type": "body",
        "parameters": [
          {
            "type": "text",
            "text": "10OFF"
          }
        ]
      },
      {
        "type": "button",
        "sub_type": "mpm",
        "index": 0,
        "parameters": [
          {
            "type": "action",
            "action": {
              "thumbnail_product_retailer_id": "2lc20305pt",
              "sections": [
                {
                  "title": "Popular Bundles",
                  "product_items": [
                    { "product_retailer_id": "2lc20305pt" },
                    { "product_retailer_id": "nseiw1x3ch" }
                  ]
                },
                {
                  "title": "Premium Packages",
                  "product_items": [
                    { "product_retailer_id": "n6k6x0y7oe" }
                  ]
                }
              ]
            }
          }
        ]
      }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to v24.0
string
required

The ID of the phone number sending the message.

Body Params
string
required
Defaults to whatsapp
string
Defaults to individual
string
required

Recipient Phone Number

string
required
Defaults to template
template
object
required
Headers
string
required

Provide your Access Token. Format: YOUR_API_KEY

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json